#
# spec file for package python-verboselogs
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  tests
Name:           python-verboselogs
Version:        1.7
Release:        1.1
License:        MIT
Summary:        Verbose logging level for Python's logging module
Url:            https://verboselogs.readthedocs.io
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/v/verboselogs/verboselogs-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module mock >= 1.0.1}
BuildRequires:  %{python_module pytest >= 2.6.1}
BuildRequires:  %{python_module pytest-cov >= 2.2.1}
BuildRequires:  %{python_module pylint}
%endif
Recommends:     python-pylint
BuildArch:      noarch

%python_subpackages

%description
The verboselogs_ package extends Python's logging_ module to add the log levels
VERBOSE_, NOTICE_, and SPAM_:

- The VERBOSE level sits between the predefined INFO and DEBUG levels.
- The NOTICE level sits between the predefined WARNING and INFO levels.
- The SPAM level sits between the predefined DEBUG and NOTSET levels.

The code to do this is simple and short, but I still don't want to copy/paste
it to every project I'm working on, hence this package. It's currently tested
on Python 2.6, 2.7, 3.4, 3.5 and PyPy.


%prep
%setup -q -n verboselogs-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{python_sitelib}

%if %{with test}
%check
%python_expand py.test-%{$python_bin_suffix} verboselogs/tests.py
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE.txt
%{python_sitelib}/verboselogs
%{python_sitelib}/verboselogs-%{version}-py*.egg-info

%changelog
* Wed Sep  6 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 1.7
  * No changelog
* Mon Oct 10 2016 mardnh@gmx.de
- initial package, version 1.5
